'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.objectInvariantTestHelperMkr = objectInvariantTestHelperMkr;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _isImmutable = require('./isImmutable');

var _isImmutable2 = _interopRequireDefault(_isImmutable);

var _trackForMutations = require('./trackForMutations');

var _trackForMutations2 = _interopRequireDefault(_trackForMutations);

function objectInvariantTestHelperMkr() {
  var isImmutable = arguments.length <= 0 || arguments[0] === undefined ? _isImmutable2['default'] : arguments[0];

  return {
    trackObj: function trackObj(obj) {
      return (0, _trackForMutations2['default'])(isImmutable, obj);
    },
    hasMutated: function hasMutated(tracked) {
      return tracked.detectMutations().wasMutated;
    }
  };
}

var objectInvariantTestHelper = objectInvariantTestHelperMkr(_isImmutable2['default']);

exports['default'] = objectInvariantTestHelper;